| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Namespaces | Enumerations | Functions
ZWSecurity.h File Reference
`#include <cstdio>`
`#include <string>`
`#include <string.h>`
`#include "Defs.h"`
`#include "Driver.h"`

Go to the source code of this file.

## Namespaces
namespace | OpenZWave

## Enumerations
enum | OpenZWave::SecurityStrategy { OpenZWave::SecurityStrategy_Essential = 0 , OpenZWave::SecurityStrategy_Supported }

## Functions
bool | OpenZWave::EncyrptBuffer (uint8 *m_buffer, uint8 m_length, Driver *driver, uint8 const _sendingNode, uint8 const _receivingNode, uint8 const m_nonce[8], uint8 *e_buffer)
bool | OpenZWave::DecryptBuffer (uint8 *e_buffer, uint8 e_length, Driver *driver, uint8 const _sendingNode, uint8 const _receivingNode, uint8 const m_nonce[8], uint8 *m_buffer)
bool | OpenZWave::GenerateAuthentication (uint8 const *_data, uint32 const _length, Driver *driver, uint8 const _sendingNode, uint8 const _receivingNode, uint8 *iv, uint8 *_authentication)
SecurityStrategy | OpenZWave::ShouldSecureCommandClass (uint8 CommandClass)